Dependency of openjdk

Asked by Sebastian on 2010-10-14

Why is the umlet package explicitly dependent on openjdk and openjdk-jre? Why doesn't it depend on eg. "default-jre | java5-runtime | java6-runtime" instead?

Question information

Language:
English Edit question
Status:
Open
For:
Ubuntu umlet Edit question
Assignee:
No assignee Edit question
Last query:
2010-10-14
Last reply:

I'd log a bug, I'd say it should be able to depend on either. I think its so that it can be installed by people whom want to keep their OS 100% open. Not sure though. Worth a try

Sebastian (slovdahl) said : #2

If it would depend on default-jre and java5/6-runtime openjdk would be installed by default, because default-jre depends on openjdk. However, both of them provides java6-runtime, so openjdk wouldn't be installed if eg. sun-java6-jre already is installed. I guess I'll file a bug report unless anyone else has more knowledge to provide.

Can you help with this problem?

Provide an answer of your own, or ask Sebastian for more information if necessary.

To post a message you must log in.